Cyberduck Mountain Duck CLI

#1584 closed enhancement (wontfix)

IIS security usage problem

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone:
Component: ftp Version: 2.8.3
Severity: major Keywords: ftp root folder
Cc: marco@… Architecture:
Platform:

Description

In IIS it is possible to have a root folder for ftp without the preceding '/'. Cyberduck however seems to always prefix the root folder with the '/'. This will prevent access to the FTP site than. (FTP users must now the exact rootfolder name this way, since otherwise it will remain invisible.)

Suggestion: If no '/' is entered in the root folder, do not prefix it automatically either. This might break users bookmarks, but until that is a possibility I cannot use Cyberduck for my intentional setup.

Change History (3)

comment:1 Changed on Jan 13, 2008 at 3:20:16 PM by dkocher

Please attach the transcript from the log drawer. It should be possible to specify a non-absolute path in the bookmark setting.

comment:2 Changed on Jan 14, 2008 at 8:53:35 AM by anonymous

Log

220 Microsoft FTP Service USER some_user_name 331 Password required for some_user_name. PASS 230 User some_user_name logged in. SYST 215 Windows_NT PWD 257 "/" is current directory. NOOP 200 NOOP command successful. CWD /defaultsite 250 CWD command successful. PORT 192,168,1,13,237,38 200 PORT command successful. LIST -a 150 Opening ASCII mode data connection for /bin/ls.

Result

There is no result returned since IIS is not configured to return a listing for '/defaultsite' it'll only return that for 'defaultsite'. The path setting for CuberDuck is 'defaultsite', yet the change-dir mentions '/defaultsite'. Perhaps a CWD defaultsite would be appropriate?

comment:3 Changed on May 11, 2008 at 12:38:54 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

The server responds with PWD 257 "/" is current directory. The server should know better.

Note: See TracTickets for help on using tickets.
swiss made software